Bug 194241 - Make WebEvent::Modifiers an OptionSet
Summary: Make WebEvent::Modifiers an OptionSet
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks: 191446
  Show dependency treegraph
 
Reported: 2019-02-04 14:26 PST by Daniel Bates
Modified: 2019-02-05 17:45 PST (History)
9 users (show)

See Also:


Attachments
Patch (80.52 KB, patch)
2019-02-04 14:30 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
To land (80.52 KB, patch)
2019-02-04 15:11 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.79 MB, application/zip)
2019-02-04 18:24 PST, Build Bot
no flags Details
To land (83.55 KB, patch)
2019-02-05 16:19 PST, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-02-04 14:26:40 PST
Convert the uses of WebEvent::Modifiers as a bitmap to an OptionSet. The benefit of this is improved type safety and LLDB pretty-printing.
Comment 1 Daniel Bates 2019-02-04 14:30:09 PST
Created attachment 361101 [details]
Patch
Comment 2 Build Bot 2019-02-04 14:33:02 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Daniel Bates 2019-02-04 15:11:22 PST
Created attachment 361106 [details]
To land
Comment 4 Daniel Bates 2019-02-04 15:39:03 PST
Transcript from #webkit today (02/04/2019):

[3:14pm] dydz: I got a scary GTK API warning message in <https://bugs.webkit.org/show_bug.cgi?id=194241#c2>
[3:14pm] aperezdc: dydz: I have a few minutes before going to sleep
[3:14pm] dydz: aperezdc: ^^^
[3:14pm] dydz: Is this change kosher?
[3:14pm] dydz: I changed the private API
[3:16pm] dydz: aperezdc: I changed the signature of webkitWebViewMouseTargetChanged
[3:17pm] aperezdc: It looks good on a cursory glance, give me a moment to go over it at a slower pace
[3:17pm] dydz: aperezdc: Please do!
[3:25pm] dydz: aperezdc: You have me waiting with bated breath
[3:36pm] annulen: WebKitWebViewPrivate.h and WebViewPrivate.h don't look like a part of public api, they should probably be excluded from watchlist which triggers warning
[3:36pm] aperezdc: dydz: yup, I would r+ if I was a reviewer
Comment 5 Build Bot 2019-02-04 18:24:34 PST
Comment on attachment 361106 [details]
To land

Attachment 361106 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11032987

New failing tests:
pageoverlay/overlay-large-document.html
pageoverlay/overlay-installation.html
pageoverlay/overlay-large-document-scrolled.html
Comment 6 Build Bot 2019-02-04 18:24:36 PST
Created attachment 361147 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 7 Daniel Bates 2019-02-05 16:19:27 PST
Created attachment 361241 [details]
To land

Updated patch to make WebEvent::Modifier an enum class and give it a width of uint8_t. This makes it more closely match the enum class of the same name in WebCore::PlatformEvent.
Comment 8 Daniel Bates 2019-02-05 16:21:26 PST
Comment on attachment 361241 [details]
To land

Clearing flags on attachment: 361241

Committed r241000: <https://trac.webkit.org/changeset/241000>
Comment 9 Daniel Bates 2019-02-05 16:21:27 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-02-05 16:22:30 PST
<rdar://problem/47836218>
Comment 11 Daniel Bates 2019-02-05 16:40:01 PST
Committed build fix in <https://trac.webkit.org/changeset/241001>.
Comment 12 Daniel Bates 2019-02-05 17:45:07 PST
Committed more build fixes in <https://trac.webkit.org/changeset/241006> and <https://trac.webkit.org/changeset/241007>.